#!/bin/bash

if !( test -d "$2" ); then
  echo "ERROR: Directory \"$2\" not found."
  function_help
fi

if !(test -f "$2/lrcShow-X.py"); then
  echo "ERROR: lrcShow-X seems not be installed in \"$2\"."
  exit 1
fi

case "$1" in

  start)
    PROCESS=`ps -ef`
    NUM_PROCESS=`echo $PROCESS | grep -o "lrcShow-X.py --amarok" | wc -l`
    if ( [ "$NUM_PROCESS" -gt 0 ] ); then
      echo "ERROR: lrcShow-X is running."
      exit 1
    fi
    cd "$2"
    ./lrcShow-X.py --amarok &
    ;;

  stop)
    kill -9 `ps -ef | grep -v awk | awk '/lrcShow-X.py --amarok/{ print $2}'`
    ;;

esac

exit 0

