Importer.loadQtBinding("qt.core");
Importer.loadQtBinding("qt.gui");

function trim(stringToTrim) {
	return stringToTrim.replace(/^\s+|\s+$/g, '');
}

//function start lrcShow-X
function start() {
	if (!isRunning && lrcShowPath != '') {
		QProcess.execute('bash ' + scriptPath + '/lrcShower-X.sh start "' + lrcShowPath + '"');
		isRunning=true;
	}
	return true;
} // function start()

//function to close lrcShow-X
function close() {
	if (lrcShowPath != '') {
		QProcess.execute('bash ' + scriptPath + '/lrcShower-X.sh stop "' + lrcShowPath + '"');
	}
	return true;
} // function stop()

function saveConfig() {
	try {
		Amarok.Script.writeConfig("lrcShowPath", lrcShowPath);
	} catch(err) {
		Amarok.debug('error: ' + err);
	}
	return true;
} // function saveConfig()

function readConfig() {
	lrcShowPath = Amarok.Script.readConfig("lrcShowPath", "");
	if (lrcShowPath == '') {
		lrcShowPath = QFileDialog.getExistingDirectory('', 'Select lrcShow-X installation directory');
		if (lrcShowPath == '') {
			Amarok.alert('Without proper configuration this scritp don\'t works.')
			return false;
		} else {
			if (!QFile.exists(lrcShowPath + '/lrcShow-X.py')) {
				Amarok.alert('lrcShow-X not found in "' + lrcShowPath + '".');
				lrcShowPath = ''
				return false;
			} else {
				Amarok.alert('lrcShow-X found. This script are ready to use.');
			} // if (!QFile.exists(lrcShowPath + '/lrcShow-X.py'))
		} // if (lrcShowPath == '')
		saveConfig();
	} // if (lrcShowPath == '')
	return true;
} // function readConfig()

//==============entrance================
var scriptPath = Amarok.Info.scriptPath();
//Amarok.debug(Amarok.Info.scriptConfigPath("lrcShower-X"));
//the path of lrcShow-X
var lrcShowPath = '';
//indicate whether the lrcShow-X is already running
var isRunning = false;

//close lrcShow-X when amarok is about to quit
QCoreApplication.instance().aboutToQuit.connect(close);
//start lrcShow-X when amarok starts to play
Amarok.Engine.trackChanged.connect(start);

if (!readConfig()) {
  Amarok.stopScript('lrcShower-X');
}
start();
